import type { CheckedPropType, HideErrorPropType, IdPropType, IndeterminatePropType, InputCheckboxAPI, InputCheckboxIconsProp, InputCheckboxStates, InputCheckboxVariant, InputTypeOnDefault, LabelAlignPropType, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
import type { FocusableElement } from '../../schema/interfaces/FocusableElement';
export declare class KolInputCheckbox implements InputCheckboxAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly catchRef;
    private getModelValue;
    getValue(): Promise<StencilUnknown>;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _checked?: boolean;
    _hideError?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<InputCheckboxIconsProp>;
    _id?: IdPropType;
    _indeterminate?: boolean;
    _label: LabelWithExpertSlotPropType;
    _labelAlign?: LabelAlignPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: Stringified<StencilUnknown>;
    _variant?: InputCheckboxVariant;
    state: InputCheckboxStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateChecked(value?: CheckedPropType): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<InputCheckboxIconsProp>): void;
    validateId(value?: string): void;
    validateIndeterminate(value?: IndeterminatePropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateLabelAlign(value?: LabelAlignPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    validateVariant(value?: InputCheckboxVariant): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
}
